package request

type AlibabaProductMerchantproductsSearchRequest struct {
	/*
	   关键词，建议填条形码     */
	Keyword *string `json:"keyword" required:"true" `
}

func (s *AlibabaProductMerchantproductsSearchRequest) SetKeyword(v string) *AlibabaProductMerchantproductsSearchRequest {
	s.Keyword = &v
	return s
}

func (req *AlibabaProductMerchantproductsSearchRequest) ToMap() map[string]interface{} {
	paramMap := make(map[string]interface{})
	if req.Keyword != nil {
		paramMap["keyword"] = *req.Keyword
	}
	return paramMap
}

func (req *AlibabaProductMerchantproductsSearchRequest) ToFileMap() map[string]interface{} {
	fileMap := make(map[string]interface{})
	return fileMap
}
